.blog {
  @include defaultBorder;
  padding: 0.5rem;
}

.blogDetails {
  display: flex;
  justify-content: space-between;
}

.blogImages {
  display: flex;
  justify-content: center;
  align-items: center;
}

.blogWhite {
  background: $primaryLight;
}

.blogLightGrey {
  background: $primaryGrey;
}

.authorAndDate {
  font-size: 0.7rem;
}

.blogName {
  margin: 0;
}

.blogHeader {
  display: flex;
}

.blogHeaderDetails {
  display: block;
  margin: 0 0.5rem;
}

.blogButtons {
  display: flex;
}

.blogDescriptionImg {
  margin: 0 1rem;
}

.blogText {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  font-size: 0.9rem;
  &:hover {
    overflow: visible; 
    white-space: normal; 
    font-size: 0.6rem;
  }
  min-height: 2rem;
}

@media screen and (max-height: 1000px) {
  .blogDescriptionImg {
    max-width: 75;
    max-height: 75;
  }

  .blogImg {
    max-width: 60;
    max-height: 60;
  }
}

@media screen and (max-height: 800px) {
  .blogDescriptionImg {
    max-width: 4rem;
    max-height: 4rem;
  }

  .blogImg {
    max-width: 3rem;
    max-height: 3rem;
  }
}

@media only screen and (max-device-width: 600px) {
.blogText {  
  -webkit-line-clamp: 5;
}
}

@media only screen and (min-device-width: 601px) and (max-device-width: 800px) {
  .blogText {  
    -webkit-line-clamp: 2;
  }
  }
  

